Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.page
Class PageDefinitionIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PageDefinitionID>
              com.bea.portal.tools.portal.page.PageDefinitionIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PageDefinitionIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PageDefinitionID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PageDefinitionIDBuilder()` Constructor.

Method Summary
`PageDefinitionID` | `createResourceID()` Create the `PageDefinitionsID`.
`PageDefinitionId` | `getPageDefinitionId()` Get the `PageDefinitionId`.
`PageDefinitionIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PageDefinitionIDBuilder` | `setPageDefinitionId(PageDefinitionId pageDefinitionId)` Change the `PageDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageDefinitionIDBuilder

    public PageDefinitionIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PageDefinitionIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PageDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PageDefinitionID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

  Get the `PageDefinitionId`.

  Returns
    the `PageDefinitionId`

### setPageDefinitionId

    public PageDefinitionIDBuilder setPageDefinitionId(PageDefinitionId pageDefinitionId)

  Change the `PageDefinitionId`.

  Parameters
    `pageDefinitionId` - the `PageDefinitionId`
  Returns
    this `PageDefinitionIDBuilder`

### createResourceID

    public PageDefinitionID createResourceID()

  Create the `PageDefinitionsID`. the `PageDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PageDefinitionID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.